/*
 * PropertyDialog.java
 *
 * Created on 2004/09/26, 21:11
 */

package org.doubletype.ossa.property;

import org.doubletype.ossa.*;
import org.doubletype.ossa.adapter.*;

/**
 *
 * @author  eugene
 */
public abstract class PropertyDialog extends javax.swing.JInternalFrame {
    protected PropertyDialog m_next;
    private Desktop m_desktop;
    
    /** Creates new form PropertyDialog */
    public PropertyDialog(Desktop a_desktop, PropertyDialog a_next) {
        m_next = a_next;
        m_desktop = a_desktop;
        
        initComponents();
        setLocation(0, 0);
    }
    
    protected abstract boolean isSupport(GlyphObject a_objects);
    protected abstract void load(GlyphObject a_object);
    
    public void showDialog(GlyphObject a_object) {
        if (!isSupport(a_object)) {
            if (next() != null) {
                next().showDialog(a_object);
            } // if
            
            return;
        } // if
        
       load(a_object);
       m_desktop.addFrame(this);
    }
    
    protected PropertyDialog next() {
        return m_next;
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents

        addInternalFrameListener(new javax.swing.event.InternalFrameListener() {
            public void internalFrameActivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosed(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosing(javax.swing.event.InternalFrameEvent evt) {
                formInternalFrameClosing(evt);
            }
            public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameIconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameOpened(javax.swing.event.InternalFrameEvent evt) {
            }
        });

        pack();
    }//GEN-END:initComponents

    private void formInternalFrameClosing(javax.swing.event.InternalFrameEvent evt) {//GEN-FIRST:event_formInternalFrameClosing
        exitForm();
    }//GEN-LAST:event_formInternalFrameClosing
    
    public void exitForm() {
        m_desktop.removeFrame(this);
        m_desktop.repaint();
        dispose();
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
    
}

