 /*
 * $Id: GlyphFileTest.java,v 1.7 2004/09/10 03:06:10 eed3si9n Exp $
 * 
 * $Copyright: copyright (c) 2003, e.e d3si9n $
 * $License: 
 * This source code is part of DoubleType.
 * DoubleType is a graphical typeface designer.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This Program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * In addition, as a special exception, e.e d3si9n gives permission to
 * link the code of this program with any Java Platform that is available
 * to public with free of charge, including but not limited to
 * Sun Microsystem's JAVA(TM) 2 RUNTIME ENVIRONMENT (J2RE),
 * and distribute linked combinations including the two.
 * You must obey the GNU General Public License in all respects for all 
 * of the code used other than Java Platform. If you modify this file, 
 * you may extend this exception to your version of the file, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 * $
 */

package org.doubletype.ossa.test;

import org.doubletype.ossa.module.*;
import org.doubletype.ossa.truetype.*;
import junit.framework.*;
import java.io.*;

/**
 * @author e.e
 */
public class GlyphFileTest extends TestCase {
	private GlyphFile m_file;
	
	public GlyphFileTest(String arg0) {
		super(arg0);
	}
	
    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();
        m_file = new GlyphFile(new File("glyph/test.glyph"));
        m_file.setAdvanceWidth(100);
    }

    /*
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
        super.tearDown();
    }
	
	public void testHasVariable() {
		assertTrue(!m_file.hasVariable("v1"));
		
		m_file.addVar("foo", 1.0);
		assertTrue(m_file.hasVariable("foo"));
	}
	
	public void testToSimpleGlyph() {
	    TTGlyph ttglyph = m_file.toSimpleGlyph();
	    assertNotNull(ttglyph);
	    assertEquals(true, ttglyph.isSimple());
	    assertEquals(m_file.getAdvanceWidth(), ttglyph.getAdvanceWidth());
	    assertEquals(1, ttglyph.getNumOfContours());
	    
	    m_file.getGlyph().getBody().removeModule(0);
	    ttglyph = m_file.toSimpleGlyph();
	    assertNull(ttglyph);
	}
}
